// This file may be redistributed and modified only under the terms of
// the GNU General Public License (See COPYING for details).
// Copyright (C) 2003 - 2006 Simon Goodall

package WFUT;


/**
 * This is container class for files
 */
public class FileObject {
  /**
   * This method sets the filename of the file
   * @param fn The filename of the object
   */
  public void setFilename(final String fn) { filename = fn; }
  /**
   * This method returns the filename of the file
   * @return Filename of the file
   */
  public String getFilename() { return filename; } 

  public void setVersion(int i) { version = i; }
  public int getVersion() { return version; }

  public void setCRC32(long crc) { crc32 = crc; }
  public long getCRC32() { return crc32; }

  public void setFileSize(long s) { size = s; }
  public long getFileSize() { return size; }

  public void setExecute(boolean b) { execute = b; }
  public boolean getExecute() { return execute; }

  private String filename;
  private int version;
  private long crc32;
  private long size;
  private boolean execute = false;
}
